
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/ai/backend/web:dist

from setuptools import setup

setup(**{
    'author': 'Lablup Inc. and contributors',
    'classifiers': [
        'Intended Audience :: Developers',
        'Operating System :: MacOS :: MacOS X',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Environment :: No Input/Output (Daemon)',
        'Topic :: Scientific/Engineering',
        'Topic :: Software Development',
        'Development Status :: 4 - Beta',
        'Programming Language :: Python :: 3.12',
        'License :: OSI Approved :: GNU Lesser General Public License v3 or later (LGPLv3+)',
    ],
    'description': 'Backend.AI WebUI Host',
    'entry_points': {
        'backendai_cli_v10': [
            'web = ai.backend.web.cli:main',
            'web.start-server = ai.backend.web.server:main',
        ],
    },
    'install_requires': (
        'Jinja2~=3.1.4',
        'aiohttp_cors~=0.7',
        'aiohttp~=3.10.8',
        'aiotools~=1.8.2',
        'backend.ai-cli==25.3.3rc1',
        'backend.ai-client==25.3.3rc1',
        'backend.ai-common==25.3.3rc1',
        'backend.ai-logging==25.3.3rc1',
        'backend.ai-plugin==25.3.3rc1',
        'click~=8.1.7',
        'coloredlogs~=15.0',
        'pycryptodome>=3.20.0',
        'setproctitle~=1.3.2',
        'setuptools~=75.1.0',
        'tomli~=2.0.1',
        'trafaret~=2.1',
        'types-Jinja2',
        'types-setuptools',
        'uvloop~=0.20.0; sys_platform != "Windows"',
        'yarl~=1.13.1',
    ),
    'license': 'LGPLv3',
    'long_description': """# Backend.AI Web Server

[![GitHub version](https://badge.fury.io/gh/lablup%2Fbackend.ai-webserver.svg)](https://badge.fury.io/gh/lablup%2Fbackend.ai-webserver) [![PyPI version](https://badge.fury.io/py/backend.ai-webserver.svg)](https://badge.fury.io/py/backend.ai-webserver)

A webapp hosting daemon which serves our `webui` as a SPA and proxies API requests


## Installation

Prepare a Python virtualenv (Python 3.9 or higher) and a Redis server (6.2 or higher).

```console
$ git clone https://github.com/lablup/backend.ai-webserver webserver
$ cd webserver
$ pip install -U -e .
$ cp webserver.sample.conf webserver.conf
```

## Mode

If `service.mode` is set "webui" (the default), the webserver handles
PWA-style fallbacks (e.g., serving `index.html` when there are no matching
files for the requested URL path).
The PWA must exclude `/server` and `/func` URL prefixes from its own routing
to work with the webserver's web sessions and the API proxy.

If it is set "static", the webserver serves the static files as-is,
without any fallbacks or hooking, while preserving the `/server` and `/func`
prefixed URLs and their functionalities.

If you want to serve web UI in webserver with "webui" mode, prepare static web UI source by choosing one of the followings.

### Option 1: Build web UI from source

Build **[backend.ai-webui](https://github.com/lablup/backend.ai-webui)** and copy all files under `build/bundle`
into the `src/ai/backend/web/static` directory.

### Option 2: Use pre-built web UI

To download and deploy web UI from pre-built source, do the following:

```console
cd src/ai/backend/web
curl --fail -sL https://github.com/lablup/backend.ai-webui/releases/download/v$TARGET_VERSION/backend.ai-webui-bundle-$TARGET_VERSION.zip > /tmp/bai-webui.zip
rm -rf static
mkdir static
cd static
unzip /tmp/bai-webui.zip
```
### Setup configuration for webserver

You don't have to write `config.toml` for the web UI as this webserver auto-generates it on-the-fly.

Edit `webserver.conf` to match with your environment.


## Usage

To execute web server, run command below. (for debugging, append a `--debug` flag)


```console
$ python -m ai.backend.web.server
```
""",
    'long_description_content_type': 'text/markdown',
    'name': 'backend.ai-webserver',
    'namespace_packages': (
    ),
    'package_data': {
        'ai.backend.web': (
            'VERSION',
            'py.typed',
            'static/asset-manifest.json',
            'static/config.toml',
            'static/dist/components/backend-ai-change-forgot-password-view-BQDny6Sa.js',
            'static/dist/components/backend-ai-data-view-BnvgD14j.js',
            'static/dist/components/backend-ai-edu-applauncher-CeTj1WKG.js',
            'static/dist/components/backend-ai-email-verification-view-B67FT8EF.js',
            'static/dist/components/backend-ai-error-view-jR8f_08D.js',
            'static/dist/components/backend-ai-import-view-B7BgGqVD.js',
            'static/dist/components/backend-ai-list-status-C-Jpr-6u.js',
            'static/dist/components/backend-ai-permission-denied-view-BiQowPOR.js',
            'static/dist/components/backend-ai-resource-group-list-CXQMGTDS.js',
            'static/dist/components/backend-ai-resource-monitor-DIAR5igI.js',
            'static/dist/components/backend-ai-serving-view-DxvYJu9-.js',
            'static/dist/components/backend-ai-session-launcher-Bycq0zvp.js',
            'static/dist/components/backend-ai-session-view-ML0h_x8y.js',
            'static/dist/components/backend-ai-settings-view-CCj88fRD.js',
            'static/dist/components/backend-ai-statistics-view-Dxzamxcc.js',
            'static/dist/components/backend-ai-storage-host-settings-view-e7LsqlhD.js',
            'static/dist/components/backend-ai-storage-proxy-list-BHztlSbG.js',
            'static/dist/components/backend-ai-summary-view-DLBg4wjU.js',
            'static/dist/components/backend-ai-webui-FUhlKTMT.js',
            'static/dist/components/backend-ai-webui.js',
            'static/dist/components/lablup-activity-panel-CHPbbZ4u.js',
            'static/dist/components/lablup-loading-spinner-BABYlUGD.js',
            'static/dist/components/lablup-progress-bar-DcNV6rD1.js',
            'static/dist/components/mwc-check-list-item-CF-YkyE1.js',
            'static/dist/components/mwc-formfield-sCk-zGJa.js',
            'static/dist/components/mwc-switch-CdP-FJGp.js',
            'static/dist/components/mwc-tab-bar-D_Dy_YV6.js',
            'static/dist/components/vaadin-item-BOqQMp6v.js',
            'static/dist/components/vaadin-item-mixin-QURD8gVg.js',
            'static/index.html',
            'static/manifest.json',
            'static/manifest/app.js',
            'static/manifest/backend-ai.icns',
            'static/manifest/backend-ai.ico',
            'static/manifest/backend-ai.iconset/icon_128x128@1x.png',
            'static/manifest/backend-ai.iconset/icon_128x128@2x.png',
            'static/manifest/backend-ai.iconset/icon_16x16@1x.png',
            'static/manifest/backend-ai.iconset/icon_16x16@2x.png',
            'static/manifest/backend-ai.iconset/icon_256x256@1x.png',
            'static/manifest/backend-ai.iconset/icon_256x256@2x.png',
            'static/manifest/backend-ai.iconset/icon_32x32@1x.png',
            'static/manifest/backend-ai.iconset/icon_32x32@2x.png',
            'static/manifest/backend-ai.iconset/icon_512x512@1x.png',
            'static/manifest/backend-ai.iconset/icon_512x512@2x.png',
            'static/manifest/backend.ai-brand-simple-bgdark.svg',
            'static/manifest/backend.ai-brand-simple-black.svg',
            'static/manifest/backend.ai-brand-simple-white.svg',
            'static/manifest/backend.ai-brand-simple.svg',
            'static/manifest/backend.ai-text-bgdark.svg',
            'static/manifest/backend.ai-text.svg',
            'static/manifest/backend.ai-webui-black.svg',
            'static/manifest/backend.ai-webui-white.svg',
            'static/manifest/favicon.ico',
            'static/resources/antdThemeConfig.schema.json',
            'static/resources/app_template.json',
            'static/resources/badge-dark.svg',
            'static/resources/badge.svg',
            'static/resources/custom.css',
            'static/resources/device_metadata.json',
            'static/resources/device_metadata.schema.json',
            'static/resources/documents/privacy-policy.en.html',
            'static/resources/documents/privacy-policy.ko.html',
            'static/resources/documents/terms-of-service.en.html',
            'static/resources/documents/terms-of-service.ko.html',
            'static/resources/fonts/fa-brands-400.woff',
            'static/resources/fonts/fa-brands-400.woff2',
            'static/resources/fonts/fa-regular-400.woff',
            'static/resources/fonts/fa-regular-400.woff2',
            'static/resources/fonts/fa-solid-900.woff',
            'static/resources/fonts/fa-solid-900.woff2',
            'static/resources/fonts/font-awesome-all.min.css',
            'static/resources/fonts/font-awesome.css',
            'static/resources/fonts/fonts.css',
            'static/resources/fonts/material-icons-outlined.woff2',
            'static/resources/fonts/material-icons-round.woff2',
            'static/resources/fonts/material-icons-sharp.woff2',
            'static/resources/fonts/material-icons-two-tone.woff2',
            'static/resources/fonts/material-icons.woff2',
            'static/resources/fonts/roboto-v19-latin-100.woff',
            'static/resources/fonts/roboto-v19-latin-100.woff2',
            'static/resources/fonts/roboto-v19-latin-100italic.woff',
            'static/resources/fonts/roboto-v19-latin-100italic.woff2',
            'static/resources/fonts/roboto-v19-latin-300.woff',
            'static/resources/fonts/roboto-v19-latin-300.woff2',
            'static/resources/fonts/roboto-v19-latin-300italic.woff',
            'static/resources/fonts/roboto-v19-latin-300italic.woff2',
            'static/resources/fonts/roboto-v19-latin-900.woff',
            'static/resources/fonts/roboto-v19-latin-900.woff2',
            'static/resources/fonts/roboto-v19-latin-900italic.woff',
            'static/resources/fonts/roboto-v19-latin-900italic.woff2',
            'static/resources/fonts/roboto-v19-latin-italic.woff',
            'static/resources/fonts/roboto-v19-latin-italic.woff2',
            'static/resources/fonts/roboto-v19-latin-regular.woff',
            'static/resources/fonts/roboto-v19-latin-regular.woff2',
            'static/resources/fonts/ubuntu-mono-v15-bold.woff2',
            'static/resources/fonts/ubuntu-mono-v15-bolditalic.woff2',
            'static/resources/fonts/ubuntu-mono-v15-italic.woff2',
            'static/resources/fonts/ubuntu-mono-v15-regular.woff2',
            'static/resources/fonts/ubuntu-v14-latin-300.woff',
            'static/resources/fonts/ubuntu-v14-latin-300.woff2',
            'static/resources/fonts/ubuntu-v14-latin-300italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-300italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-500.woff',
            'static/resources/fonts/ubuntu-v14-latin-500.woff2',
            'static/resources/fonts/ubuntu-v14-latin-500italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-500italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-700.woff',
            'static/resources/fonts/ubuntu-v14-latin-700.woff2',
            'static/resources/fonts/ubuntu-v14-latin-700italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-700italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-regular.woff',
            'static/resources/fonts/ubuntu-v14-latin-regular.woff2',
            'static/resources/i18n.schema.json',
            'static/resources/i18n/de.json',
            'static/resources/i18n/el.json',
            'static/resources/i18n/en.json',
            'static/resources/i18n/es.json',
            'static/resources/i18n/fi.json',
            'static/resources/i18n/fr.json',
            'static/resources/i18n/id.json',
            'static/resources/i18n/it.json',
            'static/resources/i18n/ja.json',
            'static/resources/i18n/ko.json',
            'static/resources/i18n/mn.json',
            'static/resources/i18n/ms.json',
            'static/resources/i18n/pl.json',
            'static/resources/i18n/pt-BR.json',
            'static/resources/i18n/pt.json',
            'static/resources/i18n/ru.json',
            'static/resources/i18n/th.json',
            'static/resources/i18n/tr.json',
            'static/resources/i18n/vi.json',
            'static/resources/i18n/zh-CN.json',
            'static/resources/i18n/zh-TW.json',
            'static/resources/icons/LICENSE.md',
            'static/resources/icons/anaconda.svg',
            'static/resources/icons/apache-spark.svg',
            'static/resources/icons/aws.png',
            'static/resources/icons/azure.png',
            'static/resources/icons/c.svg',
            'static/resources/icons/caffe.png',
            'static/resources/icons/caffe2.svg',
            'static/resources/icons/ceph.png',
            'static/resources/icons/check-list.svg',
            'static/resources/icons/classification.svg',
            'static/resources/icons/cpp.svg',
            'static/resources/icons/default.png',
            'static/resources/icons/default_app.svg',
            'static/resources/icons/file_type_cuda.svg',
            'static/resources/icons/file_type_python.svg',
            'static/resources/icons/filebrowser.svg',
            'static/resources/icons/flux.png',
            'static/resources/icons/furiosa.svg',
            'static/resources/icons/gaudi.svg',
            'static/resources/icons/gcc.png',
            'static/resources/icons/gcp.png',
            'static/resources/icons/gdrive.png',
            'static/resources/icons/h2o.png',
            'static/resources/icons/haskell.png',
            'static/resources/icons/javascript.png',
            'static/resources/icons/julia.png',
            'static/resources/icons/jupyter.png',
            'static/resources/icons/jupyterlab.png',
            'static/resources/icons/kitty.png',
            'static/resources/icons/lablup.png',
            'static/resources/icons/local.png',
            'static/resources/icons/lua.png',
            'static/resources/icons/matlab.png',
            'static/resources/icons/mlflow.png',
            'static/resources/icons/mxnet.svg',
            'static/resources/icons/nbp.png',
            'static/resources/icons/nni.png',
            'static/resources/icons/nni.svg',
            'static/resources/icons/nodejs.png',
            'static/resources/icons/novnc.svg',
            'static/resources/icons/npu_generic.svg',
            'static/resources/icons/nvidia.svg',
            'static/resources/icons/octave.png',
            'static/resources/icons/openstack.png',
            'static/resources/icons/orbit.svg',
            'static/resources/icons/php.png',
            'static/resources/icons/purestorage.png',
            'static/resources/icons/python.png',
            'static/resources/icons/pytorch.svg',
            'static/resources/icons/r-lang.svg',
            'static/resources/icons/rebel.svg',
            'static/resources/icons/rocm.svg',
            'static/resources/icons/rust.svg',
            'static/resources/icons/sftp.png',
            'static/resources/icons/sftp2.png',
            'static/resources/icons/swift-tensorflow.png',
            'static/resources/icons/swift.svg',
            'static/resources/icons/tensorflow.png',
            'static/resources/icons/terminal.svg',
            'static/resources/icons/texlive.png',
            'static/resources/icons/tpu.svg',
            'static/resources/icons/ubuntu.svg',
            'static/resources/icons/vscode.svg',
            'static/resources/icons/xfce.png',
            'static/resources/icons/xrdp.svg',
            'static/resources/image_metadata.json',
            'static/resources/images/401_unauthorized_access.svg',
            'static/resources/images/404_not_found.svg',
            'static/resources/images/launcher-background.png',
            'static/resources/images/loading-background-large.jpg',
            'static/resources/images/loading-background.jpg',
            'static/resources/images/web-terminal-guide-1.png',
            'static/resources/images/web-terminal-guide-2.png',
            'static/resources/images/web-terminal-guide-3.png',
            'static/resources/images/web-terminal-guide-4.png',
            'static/resources/menu_icons/icon_create_a_key_pair.svg',
            'static/resources/menu_icons/icon_keypair_management.svg',
            'static/resources/menu_icons/icon_upload_files.svg',
            'static/resources/storage_metadata.json',
            'static/resources/templates/under_construction.html',
            'static/resources/theme.json',
            'static/resources/theme.schema.json',
            'static/resources/webui.css',
            'static/src/lib/bundles/webcomponents-ce.js',
            'static/src/lib/bundles/webcomponents-ce.js.map',
            'static/src/lib/bundles/webcomponents-pf_dom.js',
            'static/src/lib/bundles/webcomponents-pf_dom.js.map',
            'static/src/lib/bundles/webcomponents-pf_js.js',
            'static/src/lib/bundles/webcomponents-pf_js.js.map',
            'static/src/lib/bundles/webcomponents-sd-ce-pf.js',
            'static/src/lib/bundles/webcomponents-sd-ce-pf.js.map',
            'static/src/lib/bundles/webcomponents-sd-ce.js',
            'static/src/lib/bundles/webcomponents-sd-ce.js.map',
            'static/src/lib/bundles/webcomponents-sd.js',
            'static/src/lib/bundles/webcomponents-sd.js.map',
            'static/src/lib/web-animations-js/web-animations-next-lite.min.js',
            'static/src/lib/webcomponents-loader.js',
            'static/static/css/1279.6c1c5877.chunk.css',
            'static/static/css/1279.6c1c5877.chunk.css.map',
            'static/static/js/1147.cd259a51.chunk.js',
            'static/static/js/1147.cd259a51.chunk.js.map',
            'static/static/js/1279.67152395.chunk.js',
            'static/static/js/1279.67152395.chunk.js.LICENSE.txt',
            'static/static/js/1279.67152395.chunk.js.map',
            'static/static/js/1620.7af2c5a0.chunk.js',
            'static/static/js/1620.7af2c5a0.chunk.js.map',
            'static/static/js/1670.f974670e.chunk.js',
            'static/static/js/1670.f974670e.chunk.js.map',
            'static/static/js/1877.6b219d16.chunk.js',
            'static/static/js/1877.6b219d16.chunk.js.map',
            'static/static/js/1902.bc17beb8.chunk.js',
            'static/static/js/1902.bc17beb8.chunk.js.map',
            'static/static/js/2070.f05afb46.chunk.js',
            'static/static/js/2070.f05afb46.chunk.js.LICENSE.txt',
            'static/static/js/2070.f05afb46.chunk.js.map',
            'static/static/js/2449.7a29d71e.chunk.js',
            'static/static/js/2449.7a29d71e.chunk.js.map',
            'static/static/js/2471.82cd143b.chunk.js',
            'static/static/js/2471.82cd143b.chunk.js.map',
            'static/static/js/2481.04eee33f.chunk.js',
            'static/static/js/2481.04eee33f.chunk.js.map',
            'static/static/js/2483.ffad4719.chunk.js',
            'static/static/js/2483.ffad4719.chunk.js.map',
            'static/static/js/2640.90a71870.chunk.js',
            'static/static/js/2640.90a71870.chunk.js.LICENSE.txt',
            'static/static/js/2640.90a71870.chunk.js.map',
            'static/static/js/2658.7db671ce.chunk.js',
            'static/static/js/2658.7db671ce.chunk.js.LICENSE.txt',
            'static/static/js/2658.7db671ce.chunk.js.map',
            'static/static/js/2962.73d9808e.chunk.js',
            'static/static/js/2962.73d9808e.chunk.js.map',
            'static/static/js/3032.de88e8ee.chunk.js',
            'static/static/js/3032.de88e8ee.chunk.js.LICENSE.txt',
            'static/static/js/3032.de88e8ee.chunk.js.map',
            'static/static/js/3176.de481277.chunk.js',
            'static/static/js/3176.de481277.chunk.js.map',
            'static/static/js/3274.5bded788.chunk.js',
            'static/static/js/3274.5bded788.chunk.js.LICENSE.txt',
            'static/static/js/3274.5bded788.chunk.js.map',
            'static/static/js/353.f11f8836.chunk.js',
            'static/static/js/353.f11f8836.chunk.js.map',
            'static/static/js/3688.4584bc99.chunk.js',
            'static/static/js/3688.4584bc99.chunk.js.map',
            'static/static/js/3896.2514c75e.chunk.js',
            'static/static/js/3896.2514c75e.chunk.js.map',
            'static/static/js/3939.758febba.chunk.js',
            'static/static/js/3939.758febba.chunk.js.LICENSE.txt',
            'static/static/js/3939.758febba.chunk.js.map',
            'static/static/js/4132.8514c159.chunk.js',
            'static/static/js/4132.8514c159.chunk.js.map',
            'static/static/js/4153.1835a244.chunk.js',
            'static/static/js/4153.1835a244.chunk.js.LICENSE.txt',
            'static/static/js/4153.1835a244.chunk.js.map',
            'static/static/js/4234.9024c007.chunk.js',
            'static/static/js/4234.9024c007.chunk.js.LICENSE.txt',
            'static/static/js/4234.9024c007.chunk.js.map',
            'static/static/js/4244.3e4d20a4.chunk.js',
            'static/static/js/4244.3e4d20a4.chunk.js.map',
            'static/static/js/4384.26b87a06.chunk.js',
            'static/static/js/4384.26b87a06.chunk.js.map',
            'static/static/js/4467.2d17ea48.chunk.js',
            'static/static/js/4467.2d17ea48.chunk.js.map',
            'static/static/js/4627.00c226de.chunk.js',
            'static/static/js/4627.00c226de.chunk.js.LICENSE.txt',
            'static/static/js/4627.00c226de.chunk.js.map',
            'static/static/js/472.79467d66.chunk.js',
            'static/static/js/472.79467d66.chunk.js.map',
            'static/static/js/4871.c48411f7.chunk.js',
            'static/static/js/4871.c48411f7.chunk.js.map',
            'static/static/js/5019.14379dd8.chunk.js',
            'static/static/js/5019.14379dd8.chunk.js.map',
            'static/static/js/5059.cc72f91a.chunk.js',
            'static/static/js/5059.cc72f91a.chunk.js.map',
            'static/static/js/528.5368e264.chunk.js',
            'static/static/js/528.5368e264.chunk.js.map',
            'static/static/js/5329.109f6bc3.chunk.js',
            'static/static/js/5329.109f6bc3.chunk.js.map',
            'static/static/js/5514.8ac62b6b.chunk.js',
            'static/static/js/5514.8ac62b6b.chunk.js.LICENSE.txt',
            'static/static/js/5514.8ac62b6b.chunk.js.map',
            'static/static/js/5639.4b1ad8b8.chunk.js',
            'static/static/js/5639.4b1ad8b8.chunk.js.map',
            'static/static/js/5835.97e349fb.chunk.js',
            'static/static/js/5835.97e349fb.chunk.js.map',
            'static/static/js/5863.c0c85711.chunk.js',
            'static/static/js/5863.c0c85711.chunk.js.map',
            'static/static/js/5869.566065bb.chunk.js',
            'static/static/js/5869.566065bb.chunk.js.map',
            'static/static/js/5946.502f147d.chunk.js',
            'static/static/js/5946.502f147d.chunk.js.map',
            'static/static/js/6044.36052a50.chunk.js',
            'static/static/js/6044.36052a50.chunk.js.LICENSE.txt',
            'static/static/js/6044.36052a50.chunk.js.map',
            'static/static/js/6061.d11273be.chunk.js',
            'static/static/js/6061.d11273be.chunk.js.map',
            'static/static/js/6084.245468c9.chunk.js',
            'static/static/js/6084.245468c9.chunk.js.map',
            'static/static/js/6161.94fe95e6.chunk.js',
            'static/static/js/6161.94fe95e6.chunk.js.map',
            'static/static/js/619.62570339.chunk.js',
            'static/static/js/619.62570339.chunk.js.LICENSE.txt',
            'static/static/js/619.62570339.chunk.js.map',
            'static/static/js/6214.cb9d54ae.chunk.js',
            'static/static/js/6214.cb9d54ae.chunk.js.map',
            'static/static/js/6769.c34db251.chunk.js',
            'static/static/js/6769.c34db251.chunk.js.map',
            'static/static/js/6868.970d70f5.chunk.js',
            'static/static/js/6868.970d70f5.chunk.js.LICENSE.txt',
            'static/static/js/6868.970d70f5.chunk.js.map',
            'static/static/js/6996.1fe807ac.chunk.js',
            'static/static/js/6996.1fe807ac.chunk.js.map',
            'static/static/js/7099.08a1f625.chunk.js',
            'static/static/js/7099.08a1f625.chunk.js.LICENSE.txt',
            'static/static/js/7099.08a1f625.chunk.js.map',
            'static/static/js/7357.3d539dd2.chunk.js',
            'static/static/js/7357.3d539dd2.chunk.js.map',
            'static/static/js/7472.98b34a0b.chunk.js',
            'static/static/js/7472.98b34a0b.chunk.js.map',
            'static/static/js/7474.0e9dc975.chunk.js',
            'static/static/js/7474.0e9dc975.chunk.js.map',
            'static/static/js/7549.ed53cc26.chunk.js',
            'static/static/js/7549.ed53cc26.chunk.js.map',
            'static/static/js/7668.a7d4afc3.chunk.js',
            'static/static/js/7668.a7d4afc3.chunk.js.map',
            'static/static/js/7699.83a2eb47.chunk.js',
            'static/static/js/7699.83a2eb47.chunk.js.map',
            'static/static/js/7853.e0edf320.chunk.js',
            'static/static/js/7853.e0edf320.chunk.js.map',
            'static/static/js/7868.52b91d7a.chunk.js',
            'static/static/js/7868.52b91d7a.chunk.js.map',
            'static/static/js/7945.86969c2a.chunk.js',
            'static/static/js/7945.86969c2a.chunk.js.map',
            'static/static/js/8005.ada53fa0.chunk.js',
            'static/static/js/8005.ada53fa0.chunk.js.map',
            'static/static/js/8116.a1413bb8.chunk.js',
            'static/static/js/8116.a1413bb8.chunk.js.map',
            'static/static/js/8227.3379f378.chunk.js',
            'static/static/js/8227.3379f378.chunk.js.map',
            'static/static/js/8556.7db76653.chunk.js',
            'static/static/js/8556.7db76653.chunk.js.map',
            'static/static/js/8822.b6f65fa9.chunk.js',
            'static/static/js/8822.b6f65fa9.chunk.js.map',
            'static/static/js/8827.af9b6c66.chunk.js',
            'static/static/js/8827.af9b6c66.chunk.js.map',
            'static/static/js/9030.08f79f03.chunk.js',
            'static/static/js/9030.08f79f03.chunk.js.map',
            'static/static/js/9449.60707810.chunk.js',
            'static/static/js/9449.60707810.chunk.js.map',
            'static/static/js/96.faa898f8.chunk.js',
            'static/static/js/96.faa898f8.chunk.js.map',
            'static/static/js/9630.31f1ee55.chunk.js',
            'static/static/js/9630.31f1ee55.chunk.js.map',
            'static/static/js/9862.c9601b23.chunk.js',
            'static/static/js/9862.c9601b23.chunk.js.map',
            'static/static/js/9920.c01cdf77.chunk.js',
            'static/static/js/9920.c01cdf77.chunk.js.map',
            'static/static/js/9988.7fe3fd2f.chunk.js',
            'static/static/js/9988.7fe3fd2f.chunk.js.map',
            'static/static/js/main.205b20e7.js',
            'static/static/js/main.205b20e7.js.LICENSE.txt',
            'static/static/js/main.205b20e7.js.map',
            'static/static/media/ContainerCommit.1780724d4a98ae1d0738d4f98b5e49b5.svg',
            'static/static/media/Endpoints.c580a536457ec4d9573e73e25cc140c1.svg',
            'static/static/media/KaTeX_AMS-Regular.73ea273a72f4aca30ca5.woff2',
            'static/static/media/KaTeX_AMS-Regular.853be92419a6c3766b9a.ttf',
            'static/static/media/KaTeX_AMS-Regular.d562e886c52f12660a41.woff',
            'static/static/media/KaTeX_Caligraphic-Bold.7489a2fbfb9bfe704420.ttf',
            'static/static/media/KaTeX_Caligraphic-Bold.a1abf90dfd72792a577a.woff2',
            'static/static/media/KaTeX_Caligraphic-Bold.d757c535a2e5902f1325.woff',
            'static/static/media/KaTeX_Caligraphic-Regular.7e873d3833eb108a0758.ttf',
            'static/static/media/KaTeX_Caligraphic-Regular.d6484fce1ef428d5bd94.woff2',
            'static/static/media/KaTeX_Caligraphic-Regular.db074fa22cf224af93d7.woff',
            'static/static/media/KaTeX_Fraktur-Bold.354501bac435c3264834.woff',
            'static/static/media/KaTeX_Fraktur-Bold.4c761b3711973ab04edf.ttf',
            'static/static/media/KaTeX_Fraktur-Bold.931d67ea207ab37ee693.woff2',
            'static/static/media/KaTeX_Fraktur-Regular.172d3529b26f8cedef6b.woff2',
            'static/static/media/KaTeX_Fraktur-Regular.6fdf0ac577be0ba82a4c.woff',
            'static/static/media/KaTeX_Fraktur-Regular.ed305b5434865e06ffde.ttf',
            'static/static/media/KaTeX_Main-Bold.0c3b8929d377c0e9b2f3.woff',
            'static/static/media/KaTeX_Main-Bold.39890742bc957b368704.woff2',
            'static/static/media/KaTeX_Main-Bold.8169508bf58f8bd92ad8.ttf',
            'static/static/media/KaTeX_Main-BoldItalic.20f389c4120be058d80a.woff2',
            'static/static/media/KaTeX_Main-BoldItalic.428978dc7837d46de091.woff',
            'static/static/media/KaTeX_Main-BoldItalic.828abcb200061cffbaae.ttf',
            'static/static/media/KaTeX_Main-Italic.fa675e5e4bec9eb250b6.ttf',
            'static/static/media/KaTeX_Main-Italic.fd947498bc16392e76c2.woff',
            'static/static/media/KaTeX_Main-Italic.fe2176f79edaa716e621.woff2',
            'static/static/media/KaTeX_Main-Regular.4f35fbcc9ee8614c2bcc.woff',
            'static/static/media/KaTeX_Main-Regular.9eba1d77abcf2aa6e94e.ttf',
            'static/static/media/KaTeX_Main-Regular.f650f111a3b890d116f1.woff2',
            'static/static/media/KaTeX_Math-BoldItalic.3f07ed67f06c720120ce.woff',
            'static/static/media/KaTeX_Math-BoldItalic.bf2d440b3a42ea78a998.ttf',
            'static/static/media/KaTeX_Math-BoldItalic.dcbcbd93bac0470b462d.woff2',
            'static/static/media/KaTeX_Math-Italic.6d3d25f4820d0da8f01f.woff2',
            'static/static/media/KaTeX_Math-Italic.8a5f936332e8028c7278.ttf',
            'static/static/media/KaTeX_Math-Italic.96759856b4e70f3a8338.woff',
            'static/static/media/KaTeX_SansSerif-Bold.5b49f4993ae22d7975b4.ttf',
            'static/static/media/KaTeX_SansSerif-Bold.95591a929f0d32aa282a.woff2',
            'static/static/media/KaTeX_SansSerif-Bold.b9cd458ac6d5889ff9c3.woff',
            'static/static/media/KaTeX_SansSerif-Italic.7d393d382f3e7fb1c637.woff2',
            'static/static/media/KaTeX_SansSerif-Italic.8d593cfaa96238d5e2f8.woff',
            'static/static/media/KaTeX_SansSerif-Italic.b257a18c016f37ee4543.ttf',
            'static/static/media/KaTeX_SansSerif-Regular.02271ec5cb9f5b4588ac.woff',
            'static/static/media/KaTeX_SansSerif-Regular.2f7bc363fc5424ebda59.ttf',
            'static/static/media/KaTeX_SansSerif-Regular.cd5e231e0cc53b2cb2c0.woff2',
            'static/static/media/KaTeX_Script-Regular.073b3402d036714b4370.woff',
            'static/static/media/KaTeX_Script-Regular.c81d1b2a4b75d3eded60.woff2',
            'static/static/media/KaTeX_Script-Regular.fc9ba5249878cd8f8d88.ttf',
            'static/static/media/KaTeX_Size1-Regular.0108e89c9003e8c14ea3.woff',
            'static/static/media/KaTeX_Size1-Regular.6de7d4b539221a49e9e2.ttf',
            'static/static/media/KaTeX_Size1-Regular.6eec866c69313624be60.woff2',
            'static/static/media/KaTeX_Size2-Regular.2960900c4f271311eb36.woff2',
            'static/static/media/KaTeX_Size2-Regular.3a99e70aee4076660d38.woff',
            'static/static/media/KaTeX_Size2-Regular.57f5c1837853986ea1db.ttf',
            'static/static/media/KaTeX_Size3-Regular.7947224e8a9914fa332b.woff',
            'static/static/media/KaTeX_Size3-Regular.8d6b6822586eea3d3b20.ttf',
            'static/static/media/KaTeX_Size3-Regular.e1951519f6f0596f7356.woff2',
            'static/static/media/KaTeX_Size4-Regular.4ad7c7e8bb8d10a34bb7.ttf',
            'static/static/media/KaTeX_Size4-Regular.aeffd8025cba3647f1a6.woff',
            'static/static/media/KaTeX_Size4-Regular.e418bf257af1052628d8.woff2',
            'static/static/media/KaTeX_Typewriter-Regular.4c6b94fd1d07f8beff7c.woff',
            'static/static/media/KaTeX_Typewriter-Regular.c295e7f71970f03c0549.woff2',
            'static/static/media/KaTeX_Typewriter-Regular.c5c02d763c89380dcb4e.ttf',
            'static/static/media/MyEnvironments.722665aa4e41f56bd36ef808274d4b93.svg',
            'static/static/media/SessionLog.9190bd076088966fb7444616e65188c5.svg',
            'static/static/media/Sessions.6d700a0755b615ae677ca2ef8bfaf289.svg',
            'static/static/media/TerminalApp.1634187e51dae2f890ba3fb3046a6c8c.svg',
            'static/static/media/Terminate.5b6752a842ac03774f0c82b6677c4baa.svg',
            'static/static/media/index.42119833dddefe38a9fa.cjs',
            'static/sw.js',
            'static/sw.js.map',
            'static/version.json',
            'static/workbox-9a84fccb.js',
            'static/workbox-9a84fccb.js.map',
            'templates/config.toml.j2',
            'templates/config_ini.toml.j2',
        ),
    },
    'packages': (
        'ai.backend.web',
    ),
    'project_urls': {
        'Documentation': 'https://docs.backend.ai/',
        'Source': 'https://github.com/lablup/backend.ai',
    },
    'python_requires': '>=3.12,<3.13',
    'url': 'https://github.com/lablup/backend.ai',
    'version': '25.3.3rc1',
    'zip_safe': False,
})
